【漏洞预警】Slackware Linux 代码执行漏洞(CVE-2022-1154)

admin 2022年4月6日03:21:07安全漏洞评论67 views835字阅读2分47秒阅读模式

 01



漏洞描述





Slackware Linux 是由Patrick Volkerding 开发的 GNU/Linux 发行版,最初基于Softlanding Linux System(SLS)。与很多其他的发行版不同,它坚持KISS(Keep It Simple Stupid)原则。新手用户配置系统会有一些困难,但是更有经验的用户会喜欢这种方式的透明性和灵活性。Slackware 的很多特性体现出了 KISS 原则,典型的例子就是不依赖图形界面的文本化系统配置,传统的服务管理方式和不解决依赖的包管理。Slackware 作为较古老的Linux发行版之一,相比其他的主流发行版更希望成为具有“UNIX风格”的那一个,一直以来以简洁、安全和稳定所著称。
近期,Slackware Linux 安全团队公布其产品存在代码执行漏洞(CVE-2022-1154)。攻击者可利用 regexp_bt.c 中 utf_ptr2char()函数的缺陷,通过发送特殊设计的恶意文件诱使受害者打开,从而触发后,造成使用错误,绕过保护机制,修改内存,并可能执行任意代码。

 02

漏洞危害


攻击者发送恶意代码,对目标执行各种操作,包括执行恶意软件、数据泄露。获取企业敏感信息,继承Web服务器权限,读写文件。甚至控制整个网站甚至服务器。

 03

影响范围






Slackware 15.0

Slackware x86_64 15.0

Slackware x86_64 -current

Slackware -current

04

漏洞等级

   

高危

 06

修复方案


厂商已发布升级修复漏洞,用户请尽快更新至安全版本。
引用:
http://www.slackware.com/security/viewer.php?l=slackware-security&y=2022&m=slackware-security.430440










END

长按识别二维码,了解更多


【漏洞预警】Slackware Linux 代码执行漏洞(CVE-2022-1154)


原文始发于微信公众号(易东安全研究院):【漏洞预警】Slackware Linux 代码执行漏洞(CVE-2022-1154)

特别标注: 本站(CN-SEC.COM)所有文章仅供技术研究,若将其信息做其他用途,由用户承担全部法律及连带责任,本站不承担任何法律及连带责任,请遵守中华人民共和国安全法.
  • 我的微信
  • 微信扫一扫
  • weinxin
  • 我的微信公众号
  • 微信扫一扫
  • weinxin
admin
  • 本文由 发表于 2022年4月6日03:21:07
  • 转载请保留本文链接(CN-SEC中文网:感谢原作者辛苦付出):
                  【漏洞预警】Slackware Linux 代码执行漏洞(CVE-2022-1154) http://cn-sec.com/archives/865676.html

发表评论

匿名网友 填写信息

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: